> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

> API endpoint to update an existing task in Blink's case management system.

# Update a Task



## OpenAPI

````yaml put /workspace/{ws_id}/case_management/table/tasks/{task_id}
openapi: 3.0.1
info:
  title: Blink REST API
  description: >-
    The Blink REST API provides programmatic access to Blink data and
    functionality, enabling the management of resources such as workflows,
    users, cases, and more.
  termsOfService: https://www.blinkops.com/terms-of-use
  contact:
    name: API Support
    url: http://blinkops.com/support
    email: support@blinkops.com
  version: '1.0'
servers:
  - url: https://app.blinkops.com/api/v1
security: []
tags:
  - name: Controller
    description: Controller health and stats
  - name: Connections
    description: Manage your connections
  - name: Integrations
    description: Manage your integrations
  - name: Invites
    description: Manage your invites
  - name: Workflows
    description: Create and execute your workflows
  - name: Executions
    description: Get information and manage executions
  - name: Runners
    description: Configure your runners
  - name: Tables
    description: Manage your tables
  - name: Case Management
    description: Manage your cases
  - name: User Settings
    description: Manage user settings
  - name: Webhook
    description: Send to webhook
  - name: workspaces
    description: Manage your workspaces
  - name: User Info
    description: Get Information on current user
  - name: Portal
    description: Manage your portal apps
  - name: Groups
    description: Manage your Groups
  - name: Users
    description: Manage your users
paths:
  /workspace/{ws_id}/case_management/table/tasks/{task_id}:
    put:
      tags:
        - Case Management
      summary: Update a Task
      description: Updates a Task record.
      operationId: UpdateTask
      parameters:
        - name: ws_id
          in: path
          description: Workspace ID
          required: true
          schema:
            type: string
        - name: task_id
          in: path
          description: Task ID
          required: true
          schema:
            type: string
      requestBody:
        description: Task Data
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/api.TaskObject'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/api.TaskObject'
        '400':
          description: Failed to update record
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.TaskObject:
      type: object
      properties:
        assigned_to:
          type: array
          example:
            - john.doe@blinkops.com
          items:
            type: string
        description:
          type: string
          example: Investigate the malware alert generated by CrowdStrike Falcon
        due_date:
          type: string
          example: '2024-06-29T21:00:00.000Z'
        is_blocking:
          type: boolean
          example: false
        name:
          type: string
          example: Investigate Malware Alert
        priority:
          type: integer
          example: 1
        status:
          type: string
          example: OPEN
          enum:
            - OPEN
            - IN PROGRESS
            - CLOSED
        type:
          type: string
          example: Investigation
          enum:
            - Investigation
            - Enrichment
            - Remediation
            - Response Validation
            - Compliance
            - Reporting & Documentation
            - Escalation
            - Workflow Automation
    api_responses.ErrorWrapper:
      type: object
      properties:
        data:
          type: object
        details:
          type: string
        identifier:
          type: string
        message:
          type: string
        status:
          type: integer
          example: 404
        user_error:
          type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: >-
        Use your API key to access BlinkOps API. To generate an API key, please
        log in to your BlinkOps account and navigate to the API Keys section in
        the user settings page. Add the generated key to your request headers as
        BLINK-API-KEY.
      name: BLINK-API-KEY
      in: header

````